.gba
.open "zm.gba","ZM_U_fakeTank.gba",0x8000000

.definelabel SpriteID,0x6C

.definelabel PrimarySpriteStats,0x82B0D68
.definelabel SpriteAIPointers,0x8761EE0
.definelabel SpriteGfxPointers,0x8762218
.definelabel SpritePalPointers,0x8762510


.org 0x8304054  ; free space (crocomire graphics)
    .include "fake_tank\ai.asm"
    .align
SpriteGfx:
    .import "fake_tank\graphics.gfx.lz"
    .align
SpritePal:
    .import "fake_tank\palette"
    .align
SpriteOAM:
    .include "fake_tank\oam.asm"


; primary sprite stats
.org PrimarySpriteStats + SpriteID * 0x12
    .halfword 20     ; health
    .halfword 10     ; damage
    .halfword 0x08   ; weakness
    .halfword 0      ; no drop
    .halfword 0x100  ; small health
    .halfword 0x300  ; large health
    .halfword 0      ; missile
    .halfword 0      ; super missile
    .halfword 0      ; power bomb

; AI pointer
.org SpriteAIPointers + SpriteID * 4
    .word SpriteAI + 1

; graphics pointer
.org SpriteGfxPointers + (SpriteID - 0x10) * 4
    .word SpriteGfx

; palette pointer
.org SpritePalPointers + (SpriteID - 0x10) * 4
    .word SpritePal

.close
